### Hierarchy

- BaseService
  - MovieService

## Index

### Constructors

- constructor

### Properties

- app
- baseUrl
- jsonOptions
- jsonService
- methodReturns
- methods
- showError
- showProgress
- testMode
- baseUrls

### Methods

- ajax
- countryList
- encodeData
- invoke
- parseHeaders
- sendResult

## Constructors

### constructor

- new MovieService(app: App, jsonService: JsonService): MovieService

- Inherited from BaseService.constructor

  - Defined in src/services/http/RestService.ts:398

  #### Parameters

  - ##### app: App

  - ##### jsonService: JsonService

  #### Returns MovieService

## Properties

### Protected app

app: App

Inherited from BaseService.app

- Defined in src/services/http/RestService.ts:401

### baseUrl

baseUrl: string

Inherited from BaseService.baseUrl

- Defined in src/services/http/RestService.ts:384

### jsonOptions

jsonOptions: IJsonParserOptions = null

Inherited from BaseService.jsonOptions

- Defined in src/services/http/RestService.ts:398

### jsonService

jsonService: JsonService

Inherited from BaseService.jsonService

- Defined in src/services/http/RestService.ts:402

### methodReturns

methodReturns: any

Inherited from BaseService.methodReturns

- Defined in src/services/http/RestService.ts:396

### methods

methods: any

Inherited from BaseService.methods

- Defined in src/services/http/RestService.ts:394

### showError

showError: boolean = false

Inherited from BaseService.showError

- Defined in src/services/http/RestService.ts:390

### showProgress

showProgress: boolean = true

Inherited from BaseService.showProgress

- Defined in src/services/http/RestService.ts:388

### testMode

testMode: boolean = false

Inherited from BaseService.testMode

- Defined in src/services/http/RestService.ts:386

### Static baseUrls

baseUrls: object

Inherited from BaseService.baseUrls

- Defined in src/services/http/RestService.ts:382

#### Type declaration

- ##### [key: string]: string

## Methods

### Protected ajax

- ajax(url: string, options: AjaxOptions): Promise<AjaxOptions>

- Inherited from BaseService.ajax

  - Defined in src/services/http/RestService.ts:612

  #### Parameters

  - ##### url: string

  - ##### options: AjaxOptions

  #### Returns Promise<AjaxOptions>

### countryList

- countryList(): Promise<any>

- - Defined in src/web/samples/MovieService.ts:8

  #### Returns Promise<any>

### Protected encodeData

- encodeData(o: AjaxOptions): AjaxOptions

- Inherited from BaseService.encodeData

  - Defined in src/services/http/RestService.ts:409

  #### Parameters

  - ##### o: AjaxOptions

  #### Returns AjaxOptions

### Protected invoke

- invoke(url: string, method: string, bag: ServiceParameter[], values: any[], methodOptions: IMethodOptions): Promise<any>

- Inherited from BaseService.invoke

  - Defined in src/services/http/RestService.ts:430

  #### Parameters

  - ##### url: string

  - ##### method: string

  - ##### bag: ServiceParameter[]

  - ##### values: any[]

  - ##### methodOptions: IMethodOptions

  #### Returns Promise<any>

### Protected parseHeaders

- parseHeaders(headers: string | any): IHttpHeaders

- Inherited from BaseService.parseHeaders

  - Defined in src/services/http/RestService.ts:599

  #### Parameters

  - ##### headers: string | any

  #### Returns IHttpHeaders

### Protected sendResult

- sendResult(result: any, error?: any): Promise<any>

- Inherited from BaseService.sendResult

  - Defined in src/services/http/RestService.ts:416

  #### Parameters

  - ##### result: any

  - ##### Optional error: any

  #### Returns Promise<any>

Generated using TypeDoc